html {
    font-size: 62.5%;
}
body {
    font-size: 16px; /* 1 rem = 10 px */
}

:root {                     /* root can be used to store custom colors, fonts, sizes, etc. */
    --white: #ffffff;
    --dark: #212121;
    --primary_color: #FFC107;
}

/* Classes can be used on multiple instances */
.myTitle{
    text-align: center;             
    color:  #216477;
    font-size: 3.5rem;
}

/* In order to center all of the site's content, the class myContainer is created.*/
.myContainer {
    width: 120rem; /*This will change the navigation area's size so that it doesn't take the whole width of the site*/
    margin-top: 0; /* this will add separation from the top, I do not want this => 0 */
    margin-bottom: 0; /* this will add separation from the bottom, I do not want this => 0 */
    margin-right: auto; /*By setting both right and left margins to auto, the nav area (which has class="myContanier" will be centered)*/
    margin-left: auto;

    /*margin: top right bottom left will have the same outcome with less code*/
    margin: 0 auto 0 auto;

    /* Since '0' and 'auto' are repeated values, you may only write them once and they will be automatically repeated */
    margin: 0 auto;
}

/* By surrounding the nav area with a div which is nav-bg, it is possible to control the background seperately form the nav area's content*/
/* Therefore only the text will be centered because of "myContainer", not the whole area*/
.nav-bg {
    background-color: #216477;
}

.Principal_Nav a {
    background-color: var(--primary_color);
    color: white;
}

p {
    background-color: var(--primary_color);
}

/* Notice that the links from the navigation area will only apply the background color on a limited area while the paragraph applies it on the whole */ 
/* width of the website. This happens because the paragraph element has a display:block; by default while the navigation area's links (a) have a display:inline; 
/* by default.  */
/* There are several types of displays, block and inline are very common ones. Elements with display:block; will be placed under each other while */
/* elements with displat:inline; will be placed right from each other */
/* You needn't specify the display parameter unless you intend to modify it's default value. Other common types of displays are inline-block, grid and flexbox. */